--- title: "Resident registration card" slug: "ai-application-service-ocr-ocrdocumentocr-identitycard" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/ai-application-service-ocr-ocrdocumentocr-identitycard" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Resident registration card Available in Classic and VPC Recognize and extract key-value input information from resident registration cards using a specialized model engine. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /id-card | ### Request headers For information about the headers common to all CLOVA OCR APIs, see [CLOVA OCR request headers](/docs/en/ai-application-service-ocr#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: #### If `Content-Type: application/json` You can include the following data in the body of your request if the request header's `Content-Type` is `application/json`: | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | Required | Version information - Only use `V2` | | `requestId` | String | Required | Random API call UUID | | `timestamp` | Integer | Required | Random API call time (millisecond) - Unix timestamp format | | `images` | Array | Required | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#images1) | #### If `Content-Type: multipart/form-data` You can include the following data in the body of your request if the request header's `Content-Type` is `multipart/form-data`: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | Object | Required | Request data information | | `message.version` | String | Required | Version information - Only use `V2` | | `message.requestId` | String | Required | Random API call UUID | | `message.timestamp` | Integer | Required | Random API call time (millisecond) - Unix timestamp format | | `message.images` | Array | Required | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#images1) | | `file` | File | Required | OCR recognition image file | #### `images` The following describes `images`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `format` | String | Required | Image format - `jpg` \| `jpeg` \| `png` \| `pdf` \| `tif` \| `tiff` - Image: `jpg`, `jpeg`, `png` - Single page: `pdf`, `tif`, `tiff` - Select and enter one of the image formats | | `name` | String | Required | Random image name - Use to identify images and check response results | | `data` | String | Required | Base64-encoded image data - Can be entered if `Content-Type: application/json` | ### Request example The request example is as follows: #### If `Content-Type: application/json` The request example if the request header's `Content-Type` is `application/json` is as follows: ``` curl --location --request POST 'https://cbgrx5natw.apigw.ntruss.com/custom/v1/{DomainId}/{InvokeKey}/document/id-card' \ --header 'Content-Type: application/json' \ --header 'X-OCR-SECRET: {Secret key issued when registering the app}' \ --data '{ "version": "V2", "requestId": "string", "timestamp": 0, "images": [ { "format": "png", "name": "idcard_test", "data":"{Base64-encoded image data}" } ] }' ``` #### If `Content-Type: multipart/form-data` The request example if the request header's `Content-Type` is `multipart/form-data` is as follows: ``` curl --location --request POST 'https://cbgrx5natw.apigw.ntruss.com/custom/v1/{DomainId}/{InvokeKey}/document/id-card' \ --header 'X-OCR-SECRET: {Secret key issued when registering the app}' \ --header 'Content-Type: multipart/form-data' \ --form 'message="{\"version\": \"V2\", \"requestId\": \"1234\", \"timestamp\": 1724832750462, \"images\": [{\"format\": \"png\", \"name\": \"idcard_test\"}]}"' \ --form 'file=@"{file}"' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | - | Version information - Only use `V2` | | `requestId` | String | - | Random API call UUID | | `timestamp` | Integer | - | API call time (millisecond) - Unix timestamp format | | `images` | Array | - | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#images2) | #### `images` The following describes `images`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `uid` | String | - | Resident registration card image UID - Use for API validity checks | | `name` | String | - | Resident registration card image name - Use to identify images and check response results | | `inferResult` | String | - | Resident registration card image recognition result - `SUCCESS` \| `FAILURE` \| `ERROR` - `SUCCESS`: recognition successful - `FAILURE`: recognition failure - `ERROR`: recognition processing exception | | `message` | String | - | Result message | | `validationResult` | Object | - | Validity check result information | | `validationResult.result` | String | - | Validity check result code - `NO_REQUESTED` \| `UNCHECKED` \| `ERROR` \| `VALID` \| `INVALID` - `NO_REQUESTED`: no validation action requested (validity check failed) - `UNCHECKED`: unable to verify validation - `ERROR`: error on validation (validity check failed) - `VALID`: validation result valid (validity check succeeded) - `INVALID`: failed to pass validation | | `validationResult.message` | String | - | Validity check result details message - This value is not always returned | | `convertedImageInfo` | Object | - | Converted image information - If `format` is `pdf` or `tiff` - Coordinate values are set relative to the called image file | | `convertedImageInfo.width` | Integer | - | Converted image width | | `convertedImageInfo.height` | Integer | - | Converted image height | | `convertedImageInfo.pageIndex` | Integer | - | Converted image page index | | `idCard` | Object | - | ID card details | | `idCard.meta` | Object | - | Meta information | | `idCard.meta.estimatedLanguage` | String | - | OCR estimated language - `ko` \| `en` \| `ja` - `ko`:Korean - `en`: English - `ja`: Japanese | | `idCard.result` | Object | - | ID card OCR recognition result: [result](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `isConfident` | Boolean | - | Whether it has details for each type - `true` \| `false` - `true`: has - `false`: doesn't have | | `ic` | Object | - | Resident registration card information | | `ic.name` | Array | - | Name details: [name](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#name) | | `ic.personalNum` | Array | - | Resident registration number details: [personalNum](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#personalNum) | | `ic.address` | Array | - | Address details: [address](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#address) | | `ic.issueDate` | Array | - | Issuance date details: [issueDate](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#issueDate) | | `ic.authority` | Array | - | Issuing authority details: [authority](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#authority) | | `rois` | Array | - | Object border position information: [rois](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#rois) | | `idType` | String | - | ID card type - `ID Card` | #### name The following describes `name`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized name text | | `formatted` | Object | - | Recognized name text information | | `formatted.value` | String | - | Recognized name text value | | `keyText` | String | - | Key value of recognized name text | | `confidenceScore` | Float | - | Confidence of recognized name text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#maskingpolys) | #### personalNum The following describes `personalNum`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized resident registration number text | | `formatted` | Object | - | Recognized resident registration number text information | | `formatted.value` | String | - | Recognized resident registration number text value | | `keyText` | String | - | Key value of recognized resident registration number text | | `confidenceScore` | Float | - | Confidence of recognized resident registration number text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#maskingpolys) | #### address The following describes `address`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized address text | | `formatted` | Object | - | Recognized address text information | | `formatted.value` | String | - | Recognized address text value | | `keyText` | String | - | Key value of recognized address text | | `confidenceScore` | Float | - | Confidence of recognized address text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#maskingpolys) | #### issueDate The following describes `issueDate`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized issuance date text | | `formatted` | Object | - | Recognized issuance date text information | | `formatted.year` | String | - | Year (yyyy) of recognized issuance date | | `formatted.month` | String | - | Month (MM) of recognized issuance date | | `formatted.day` | String | - | Day (dd) of recognized issuance date | | `keyText` | String | - | Key value of recognized issuance date text | | `confidenceScore` | Float | - | Confidence of recognized issuance date text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#maskingpolys) | #### authority The following describes `authority`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized issuing authority text | | `formatted` | Object | - | Recognized issuing authority text information | | `formatted.value` | String | - | Recognized issuing authority text value | | `keyText` | String | - | Key value of recognized issuing authority text | | `confidenceScore` | Float | - | Confidence of recognized issuing authority text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#maskingpolys) | #### rois The following describes `rois`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `x` | Float | - | Object border position X-axis coordinate value | | `y` | Float | - | Object border position Y-axis coordinate value | #### `boundingPolys` The following describes `boundingPolys`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `vertices` | Array | - | vertices details: [vertices](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#vertices) | #### `maskingPolys` The following describes `maskingPolys`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `vertices` | Array | - | vertices details: [vertices](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#vertices) | #### `vertices` The following describes `vertices`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `x` | Float | - | X-axis coordinate value | | `y` | Float | - | Y-axis coordinate value | ### Response status codes For response status codes common to all CLOVA OCR APIs, see [Common CLOVA OCR response status codes](/docs/en/ai-application-service-ocr-ocrdocumentocr#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### Success The following is a sample response upon a successful call. ``` { "version": "V2", "requestId": "1234", "timestamp": 1725406864631, "images": [ { "uid": "{uid}", "name": "idcard_test", "inferResult": "SUCCESS", "message": "SUCCESS", "validationResult": { "result": "NO_REQUESTED" }, "idCard": { "meta": { "estimatedLanguage": "ko" }, "result": { "isConfident": true, "ic": { "name": [ { "text": "Hong**", "formatted": { "value": "Hong**" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 72.2125, "y": 116.6 }, { "x": 367.6875, "y": 116.6 }, { "x": 367.6875, "y": 165.625 }, { "x": 72.2125, "y": 165.625 } ] } ], "maskingPolys": [] } ], "personalNum": [ { "text": "800***-234****", "formatted": { "value": "800***-234****" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 65.5875, "y": 181.52498 }, { "x": 363.71246, "y": 181.52498 }, { "x": 363.71246, "y": 216.63748 }, { "x": 65.5875, "y": 216.63748 } ] } ], "maskingPolys": [ { "vertices": [ { "x": 211.13873, "y": 178.01373 }, { "x": 367.22372, "y": 178.01373 }, { "x": 367.22372, "y": 220.14873 }, { "x": 211.13873, "y": 220.14873 } ] } ] } ], "address": [ { "text": "Seoul***", "formatted": { "value": "Seoul***" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 51.675, "y": 235.1875 }, { "x": 192.7875, "y": 235.1875 }, { "x": 192.7875, "y": 272.2875 }, { "x": 51.675, "y": 272.2875 } ] } ], "maskingPolys": [] } ], "issueDate": [ { "text": "2020.08.16", "formatted": { "year": "2020", "month": "08", "day": "16" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 242.475, "y": 351.7875 }, { "x": 374.3125, "y": 351.7875 }, { "x": 374.3125, "y": 381.6 }, { "x": 242.475, "y": 381.6 } ] }, ], "maskingPolys": [ { "vertices": [ { "x": 239.52966, "y": 349.0218 }, { "x": 424.9578, "y": 349.0217 }, { "x": 424.9578, "y": 384.3657 }, { "x": 239.52968, "y": 384.36578 } ] } ] } ], "authority": [ { "text": "Head of ** gu, Seoul**", "formatted": { "value": "Head of ** gu, Seoul" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 146.53316, "y": 381.33884 }, { "x": 326.93195, "y": 383.12497 }, { "x": 326.47778, "y": 428.99695 }, { "x": 146.07898, "y": 427.21082 } ] } ], "maskingPolys": [] } ] }, "rois": [ { "vertices": [ { "x": 3.1388545, "y": 3.9956706 }, { "x": 754.52325, "y": -5.092327 }, { "x": 747.84045, "y": 473.14856 }, { "x": 2.264223, "y": 474.4076 } ] } ], "idtype": "ID Card" } } } ] } ``` #### Failure The following is a sample response upon a failed call. ``` { "version": "V2", "requestId": "1234", "timestamp": 1725235840459, "images": [ { "uid": "{uid}", "name": "idcard_sample", "inferResult": "ERROR", "message": "Read page:0 error.", "validationResult": { "result": "NO_REQUESTED" } } ] } ```